package com.menezes;

import java.io.IOException; 
import java.util.logging.Level;
import java.util.logging.Logger;
import javafx.application.Application;
import static javafx.application.Application.launch;
import javafx.application.Platform;
import javafx.fxml.FXMLLoader; 
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

/**
 *
 * @author jorge
 */
public class MainApp extends Application {
    
    public Tela2Controller controller= null;
            
    
    @Override
    public void start(Stage stage) {
        
        FXMLLoader fxml_main = new FXMLLoader( getClass().getResource("tela2.fxml") );
        try {
            Parent parent = (Parent)fxml_main.load();            
            controller = fxml_main.getController();
            controller.setApplication(this);
            
            Scene scene = new Scene(parent, 900, 550);
        
            stage.setTitle("Sistemas");
            stage.setScene(scene);
            stage.show();
            
        } catch (IOException ex) {
            Logger.getLogger(MainApp.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        launch(args);
    }
    
}
